Package org.tmatesoft.svn.core.auth

## Class SVNUserNameAuthentication

- java.lang.Object
- - org.tmatesoft.svn.core.auth.SVNAuthentication
  - - org.tmatesoft.svn.core.auth.SVNUserNameAuthentication

-     public class SVNUserNameAuthentication
      extends SVNAuthentication

  The SVNUserNameAuthentication class represents a simple authentication credential class that uses only a username to authenticate a user. Used along with the `ISVNAuthenticationManager.USERNAME` credential kind.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SVNUserNameAuthentication​(java.lang.String userName, boolean storageAllowed)` | Deprecated. Use `newInstance(String, boolean, SVNURL, boolean)` method
    `SVNUserNameAuthentication​(java.lang.String userName, boolean storageAllowed, SVNURL url, boolean isPartial)` | Deprecated. Use `newInstance(String, boolean, SVNURL, boolean)` method

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SVNAuthentication` | `copy()` | Creates a deep copy of this credentials object.
    `static SVNUserNameAuthentication` | `newInstance​(java.lang.String userName, boolean storageAllowed, SVNURL url, boolean isPartial)` | Creates a username authentication credential.

    - ### Methods inherited from class org.tmatesoft.svn.core.auth.SVNAuthentication

      `copyOf, dismissSensitiveData, getKind, getURL, getUserName, isPartial, isStorageAllowed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNUserNameAuthentication

          public SVNUserNameAuthentication​(java.lang.String userName,
                                           boolean storageAllowed)

      Deprecated.
      Use `newInstance(String, boolean, SVNURL, boolean)` method

    - #### SVNUserNameAuthentication

          public SVNUserNameAuthentication​(java.lang.String userName,
                                           boolean storageAllowed,
                                           SVNURL url,
                                           boolean isPartial)

      Deprecated.
      Use `newInstance(String, boolean, SVNURL, boolean)` method
      Since:
        1.3.1

  - ### Method Detail

    - #### newInstance

          public static SVNUserNameAuthentication newInstance​(java.lang.String userName,
                                                              boolean storageAllowed,
                                                              SVNURL url,
                                                              boolean isPartial)

      Creates a username authentication credential.
      Parameters:
        `userName` - a user name
        `storageAllowed` - if true then this credential is allowed to be stored in the global auth cache, otherwise not
        `url` - url these credentials are applied to
      Since:
        1.8.9

    - #### copy

          public SVNAuthentication copy()

      Description copied from class: `SVNAuthentication`
      Creates a deep copy of this credentials object. Sensitive data (e.g. password) is copied too.
      Overrides:
        `copy` in class `SVNAuthentication`
      Returns:
        copy of this object.